using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Data;
using System.Data.SqlClient;

using Sybase.DataWindow;
using TXSoft.Common;
using TXSoft.ExtPB;
using TXSoft.DataStore;


namespace A8ERP.Base
{
    public partial class W_My_Base_NoTree
    {
        public W_My_Base_NoTree()
        {

        }
        public override void OnLoad()
        {
            base.OnLoad();
          
            dw_list.DataWindowObject = "dw_da_qj_csb_list";
            ReportService service = (ReportService)dw_list.Services.Add(ServiceName.Report);
            service.RequestorDrawTitle = false;
            A8ERP.Common.DWServiceHelp.AddReportService(dw_list);
            dw_list.Retrieve("%");

            this.SetParm("CURGNQXSTR", base.GnqxStr);

            if (this.Page != null)
            { 
                this.Page.ClientScript.RegisterClientScriptInclude("MyJS_Base_NoTree","/Scripts/MyJS_Base_NoTree.js");
                this.Page.ClientScript.RegisterClientScriptInclude("W_My_Base_NoTree", "/Base/W_My_Base_NoTree.win.js");
                this.Page.ClientScript.RegisterClientScriptInclude("W_OPEN_PRINT", "/Base/W_OPEN_PRINT.win.js");
                this.Page.ClientScript.RegisterClientScriptInclude("W_OPEN_EDIT", "/Base/W_OPEN_EDIT.win.js");
            }
        }
    }
}
